Summary: 	Decopter
Name: 		decopter
Version: 	0.2.9
Release: 	1
Copyright: 	GPL
Group: 		Games
Packager: 	linuxkid <linux@peanutlinux.org>
Source0: 	%{name}-%{version}.tar.gz
Source1:	%{name}-textures-0.2.7.tar.gz
Source2: 	%{name}.desktop
Source3:	%{name}
Patch0:		%{name}.patch
URL:		http://decopter.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
Open Source game requires a hardware accellerated video card.

keyboard control
----------------
q/a - collective (up and down)
e/d - rear rotor (spinning left and right)
arrows - main rotor (turning, move forward and back)
f1/f2/f3/f4 - cameras

%prep
%setup -q -a 1
%patch0 -p1

%build
make
generate_textures

%install
rm -rf $RPM_BUILD_ROOT
mv /root/.decopter .
mkdir -p $RPM_BUILD_ROOT/{root,/etc/skel,/usr/games/decopter,/usr/bin}
cp {fly,generate_textures,landscape_texture_browser} $RPM_BUILD_ROOT/usr/games/decopter
cp -R {3D,blender,desc,maps,scripts,textures} $RPM_BUILD_ROOT/usr/games/decopter
cp -R .decopter $RPM_BUILD_ROOT/usr/games/decopter
ln -sf /usr/games/decopter/.decopter $RPM_BUILD_ROOT/root/
ln -sf /usr/games/decopter/.decopter $RPM_BUILD_ROOT/etc/skel/
cp %{SOURCE3} $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Games
cp %{SOURCE2} $RPM_BUILD_ROOT/usr/share/peanut/apps/Games

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
